$(document).ready(function() {

	$(".related_img").bind("click",function(){
		$("#product_img").attr({
			"href" : $(this).attr("src")
		});
		$("#thumbnail_img").attr({
			"src" : $(this).attr("src")
		}).attr({
		    "jqimg" : $(this).attr("src")
		});
	});
	$(".thumbnail_li").hover(function(){
		$(this).addClass("focus");
	},function(){
		$(this).removeClass("focus");
	});
	$(".thumbnail_li").bind("click",function(){
		$(".thumbnail_li").removeClass("active");
		$(this).addClass("active");
	});
	
	//填写商品数量
	var min = $('#txtQuantity').val();
	$('#txtQuantity').blur(function(){
	    if(!isNum($(this).val().Trim())){
	        alert('数量不正确');
	        return false;
	    };
	    
	    if(Number($(this).val().Trim()) < Number(min)){
	        alert('输入的数量不能小于该商品的最少购买数量');
	        return false;
	    };
	});
	
	//select 选择扩展属性
	$('select[@name^=custom_]').change(function(){
	    $('#result_C_' + $(this).attr('name')).html($(this).val());
	});
	
	$('span[@id^=C_custom_]').each(function(){
	    var str = $('#choiceResult').html()+'<div id=result_' + $(this).attr('id') + '>' + $(this).html() + '</div>'
	    $('#choiceResult').html(str);
	    $(this).next().find('img.choiceImg:eq(0)').addClass('choiceImgOn').siblings().addClass('choiceImgOff');
	    $(this).next().find('img.choiceImg:gt(0)').addClass('choiceImgOff');
	});
	
	$('img.choiceImg').click(function(){
	    $(this).parent().parent().find('img.choiceImg').removeClass('choiceImgOn').siblings('.checked').remove();
	    $(this).addClass('choiceImgOn').after('<div class="checked" ></div>');
	});
	
		
});


function isNum(num){ 
	if(num.match(/[^0-9]/)){return false;}
	return true;
}//找到数字以外的字符就返回假，

String.prototype.Trim = function() 
{ 
    return this.replace(/(^\s*)|(\s*$)/g, ""); 
}

